
function Write-OutputCenter {
    param($Message)
    try {
        Write-Output ("{0}{1}" -f (' ' * (([Math]::Max(0, $Host.UI.RawUI.BufferSize.Width / 2) - [Math]::Floor($Message.Length / 2)))), $Message)
    }
    catch {
        Write-Output ($Message)
    }
}

function Get-Info {
    Write-OutputCenter("Location: $(Get-Location)")
    Write-OutputCenter("PS Execution Directory: $PSScriptRoot")
}

function Write-Separator {
    Write-OutputCenter("")
    Write-OutputCenter("")
    Write-OutputCenter("")
}

function Write-Separator-Start-Section {
    param($section)
    Write-OutputCenter("")
    Write-OutputCenter("-------------- Start $section  --------------")
}
function Write-Separator-End-Section {
    param($section)
    Write-OutputCenter("--------------  End $section  --------------")
    Write-OutputCenter("")
}

function Remove-Current-Location {
    param($location)

    return $location -replace [Regex]::Escape("$(Get-Location)") -replace ""
}